/*
    Copyright (c) 2015 Marek Sebera <marek.sebera@gmail.com>

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        https://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
*/
package com.loopj.android.http.params;

import com.loopj.android.http.AsyncHttpClient;
import com.loopj.android.http.interfaces.RequestParamInterface;

import cz.msebera.android.httpclient.entity.ContentType;

public class BaseParam<T> implements RequestParamInterface<T> {

    private T value;
    private String name;
    private ContentType contentType;

    public BaseParam(String name, T value, ContentType contentType) {
        this.value = value;
        this.name = name;
        this.contentType = contentType;
    }

    @Override
    public String getName() {
        return this.name;
    }

    @Override
    public String getValue() {
        AsyncHttpClient.log.w("BaseParam", "Calling toString() on unchecked type " + (this.value.getClass().getName()));
        return this.value == null ? null : this.value.toString();
    }

    @Override
    public T getRawValue() {
        return this.value;
    }

    @Override
    public ContentType getContentType() {
        return this.contentType;
    }
}
